package com.cf.imes.module.system.validation.pay;

import com.cf.imes.framework.test.core.ut.BaseMockitoUnitTest;
import com.cf.imes.module.system.enums.pay.IncomeExpenseTypeEnum;
import jakarta.validation.ConstraintValidatorContext;
import org.junit.jupiter.api.Test;
import org.mockito.Mock;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

/**
 * 收支类型校验器单元测试
 *
 * @author Gqr
 * @since 2025/12/9 14:39
 */
public class IncomeExpenseTypeEnumValidatorTest extends BaseMockitoUnitTest {
    @Mock
    private ConstraintValidatorContext constraintValidatorContext;

    @Test
    void testValid() {
        IncomeExpenseTypeEnumValidator validator = new IncomeExpenseTypeEnumValidator();
        assertTrue(validator.isValid(IncomeExpenseTypeEnum.INCOME.getCode(), constraintValidatorContext));
        assertTrue(validator.isValid(IncomeExpenseTypeEnum.EXPENSES.getCode(), constraintValidatorContext));
        assertTrue(validator.isValid(null, constraintValidatorContext));
        assertFalse(validator.isValid(2, constraintValidatorContext));
    }
}